apiVersion: "ipam.mirantis.com/v1alpha1"
kind: Subnet
metadata:
  name: master
  namespace: default
  labels:
    ipam/DefaultSubnet: "1"
    kaas.mirantis.com/provider: baremetal
    kaas-mgmt-subnet: ""
spec:
  cidr: 172.16.3.0/24
  gateway: 172.16.3.1
  nameservers:
    - 1.1.1.1
    - 1.0.0.1
  includeRanges:
    - 172.16.3.25-172.16.3.49
  excludeRanges:
    - 172.16.3.100
    - 172.16.3.50-172.16.3.99
---
apiVersion: ipam.mirantis.com/v1alpha1
kind: L2Template
metadata:
  name: default
  namespace: default
  labels:
    ipam/DefaultForCluster: "1"
    kaas.mirantis.com/provider: baremetal
spec:
  # Note: the `clusterRef` will be automatically replaced with the
  # actual name of the management/regional cluster.
  clusterRef: kaas-mgmt
  autoIfMappingPrio:
  - provision
  - eno
  - ens
  - enp
  l3Layout:
    - scope: namespace
      subnetName: kaas-mgmt
      labelSelector:
        kaas.mirantis.com/provider: baremetal
        kaas-mgmt-subnet: ""
  #  # protect go-template below from Jinja
  npTemplate: |
    version: 2
    renderer: networkd
    ethernets:
      {{nic 0}}:
        dhcp4: false
        dhcp6: false
        addresses:
          - {{ip "0:kaas-mgmt"}}
        gateway4: {{gateway_from_subnet "kaas-mgmt"}}
        nameservers:
          addresses: {{nameservers_from_subnet "kaas-mgmt"}}
        match:
          macaddress: {{mac 0}}
        set-name: {{nic 0}}
  #  # end protection
